Summary:	Networking support for GLib
Summary(pl.UTF-8):	Obsługa sieci dla GLiba
Name:		glib-networking
Version:	2.80.1
Release:	1
License:	LGPL v2.1+ with OpenSSL exception
Group:		Libraries
Source0:	https://download.gnome.org/sources/glib-networking/2.80/%{name}-%{version}.tar.xz
# Source0-md5:	405e6c058723217a1307ba8415615f9d
URL:		https://gitlab.gnome.org/GNOME/glib-networking
BuildRequires:	gcc >= 6:4.7
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.73.3
BuildRequires:	gnutls-devel >= 3.7.4
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	libproxy-devel >= 0.4.16
BuildRequires:	meson >= 0.60.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.73.3
Requires:	ca-certificates
Requires:	glib2 >= 1:2.73.3
Requires:	gnutls-libs >= 3.7.4
Requires:	libproxy >= 0.4.16
Suggests:	gsettings-desktop-schemas
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains modules that extend the networking support in
GIO. In particular, it contains a libproxy-based GProxyResolver
implementation and a gnutls-based GTlsConnection implementation.

%description -l pl.UTF-8
Ten pakiet zawiera moduły rozszerzające obsługę sieci w GIO, w
szczególności: implementację GProxyResolver opartą na libproxy oraz
implementację GTlsConnection opartą na gnutls.

%prep
%setup -q

%build
%meson build \
	--default-library=shared \
	-Denvironment_proxy=enabled \
	-Dinstalled_tests=false

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%postun
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc LICENSE_EXCEPTION NEWS README
%attr(755,root,root) %{_libexecdir}/glib-pacrunner
%attr(755,root,root) %{_libdir}/gio/modules/libgiognutls.so
%attr(755,root,root) %{_libdir}/gio/modules/libgioenvironmentproxy.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiolibproxy.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiognomeproxy.so
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{systemduserunitdir}/glib-pacrunner.service
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glib-networking.git;a=log;h=master

* Sat Jan 11 2025 Jan Palus <atler@pld-linux.org> b1ea19e
- up to 2.80.1

* Fri Mar 15 2024 Jan Palus <atler@pld-linux.org> 61bd88c
- up to 2.80.0

* Fri Mar 01 2024 Jan Palus <atler@pld-linux.org> 611f12e
- up to 2.78.1

* Fri Sep 15 2023 Jakub Bogusz <qboosh@pld-linux.org> b4f52b1
- updated to 2.78.0

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> 7069531
- up to 2.76.1

* Fri Mar 17 2023 Jan Palus <atler@pld-linux.org> c9e935f
- up to 2.76.0

* Mon Sep 19 2022 Jakub Bogusz <qboosh@pld-linux.org> bc3be90
- updated to 2.74.0

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> fc0aa8a
- Release 2 (by relup.sh)

* Sat Aug 06 2022 Jan Palus <atler@pld-linux.org> 659930f
- up to 2.72.2

* Thu Jun 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 7a29639
- updated to 2.72.1

* Tue Mar 29 2022 Jan Palus <atler@pld-linux.org> eb934e4
- up to 2.72.0

* Tue Dec 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 41184e4
- updated to 2.70.1

* Fri Sep 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 1d0bf4f
- updated to 2.70.0

* Fri Aug 06 2021 Jan Palus <atler@pld-linux.org> 30c42e5
- up to 2.68.2

* Thu Apr 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 1c5cea8
- updated to 2.68.1

* Sat Mar 20 2021 Jan Palus <atler@pld-linux.org> 546cf8d
- up to 2.68.0

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> f566320
- updated to 2.66.0

* Fri May 29 2020 Jakub Bogusz <qboosh@pld-linux.org> f48b22a
- updated to 2.64.3 (fixes CVE-2020-13645)

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 45ec58b
- updated to 2.64.2

* Sat Mar 28 2020 Jan Palus <atler@pld-linux.org> bfc9e99
- up to 2.64.1

